#include <iostream>
#include <cstdlib>
#include <unistd.h>

#include "func.hpp"

using namespace std;

void error_handler(const char *app)
{
  cerr<<app<<": oops..."<<endl;
  exit(42);
}


int main(int argc, char **argv)
{
  try
  {
    if(argc!=1+1)
    {
      cerr<<argv[0]<<" <n>"<<endl;
      return 1;
    }

    const long n=atol(argv[1]);
    const long f=func(n);
    cout<<"func("<<n<<")=="<<f<<endl;

    return 0;
  }
  catch(const MyException &)
  {
    error_handler(argv[0]);
  }
}
