#include <iostream>
#include <cstdlib>
#include <unistd.h>

#include "func.hpp"

using namespace std;

void error_handler(const char *app)
{
  cerr<<app<<": oops..."<<endl;
  exit(42);
}


int main(int argc, char **argv)
{
  if(argc!=1+1)
  {
    cerr<<argv[0]<<" <n>"<<endl;
    return 1;
  }

  const long n=atol(argv[1]);
  bool       error=false;
  const long f=func(n, error);
  if(error)
    error_handler(argv[0]);
  cout<<"func("<<n<<")=="<<f<<endl;

  return 0;
}
